Subject: [kitten] I-D Action: draft-ietf-kitten-tls-channel-bindings-for-tls13-13.txt

From: [email-masked]
Date: Thu, 10 Feb 2022 08:14:06 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Common Authentication Technology Next Generation WG of the IETF.

        Title           : Channel Bindings for TLS 1.3
        Author          : Sam Whited
	Filename        : draft-ietf-kitten-tls-channel-bindings-for-tls13-13.txt
	Pages           : 7
	Date            : 2022-02-10

Abstract:
   This document defines a channel binding type, tls-exporter, that is
   compatible with TLS 1.3 in accordance with RFC 5056, On Channel
   Binding.  Furthermore it updates the "default" channel binding to the
   new binding for versions of TLS greater than 1.2.  This document
   updates RFC5801, RFC5802, RFC5929, RFC7677, and RFC8446.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-kitten-tls-channel-bindings-for-tls13/

There is also an HTML version available at:
https://www.ietf.org/archive/id/draft-ietf-kitten-tls-channel-bindings-for-tls13-13.html

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-kitten-tls-channel-bindings-for-tls13-13

Internet-Drafts are also available by rsync at rsync.ietf.org::internet-drafts

---

From: Benjamin Kaduk <[email-masked]>
Date: Thu, 10 Feb 2022 13:00:05 -0800

This version incorporates some feedback that I gave to Sam off-list as an
attempt to summarize and respond to the last-call feedback.

Most notably it adds a section on "Uniqueness of Channel Bindings" that
attempts to describe the scenario and concerns that Jonathan Hoyland raised
with respect to the "unique" value not being bound to the specific instance
of the application protocol consuming the channel bindings.  Accordingly,
it also puts a requirement to only run a single authentication protocol
on top of a given TLS connection, so as to provide the desired stronger
uniqueness property -- as far as I know this is a no-op for most consumers.
The last-call thread brought up repeated LDAP binds and perhaps some SMTP
cases as being the only known scenarios where multiple things would run on
top of a single TLS connection.

As I read the rendered version now, I see a few nits in the text I supplied
to Sam, though -- sorry to have missed those previously!

"instasnce" is a misspelling of "instance", and

In the third paragraph of the new section, the phrase "running over the
same lower layer protocol" occurs twice, and would probably be more clear
as "running over the same instance of the lower layer protocol".

But we can probably hold those edits in your local copy until there's need
to upload a new revision for other reasons.

Thanks for taking the updates, Sam!

-Ben

On Thu, Feb 10, 2022 at 08:14:06AM -0800, [email-masked] wrote:
> _______________________________________________
> Kitten mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/kitten

---

From: "Sam Whited" <[email-masked]>
Date: Thu, 10 Feb 2022 18:53:07 -0500

Thanks Benjamin!

I read through and made a few minor tweaks to your text, but I seem to
have missed those. I've made the changes locally but will hold on
pushing a new update as you suggested.

—Sam

On Thu, Feb 10, 2022, at 16:00, Benjamin Kaduk wrote:
> This version incorporates some feedback that I gave to Sam off-list as
> an attempt to summarize and respond to the last-call feedback.